Skip to main content
Back to API List Retrieves data associated with custom widgets and reports for a bot.
MethodGET / POST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/dashboard/{{dashboardName}}/widget/{{widgetName}}?startDate={{startDate}}&endDate={{endDate}}&limit={{limit}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Custom Reports; Admin Console: Custom Reports > Custom Reports
A POST API call is supported to include additional filters for querying data. See Custom Dashboard Filters for more information.

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai
BotIDRequiredBot ID or Stream ID. Accessible from the General Settings page of the bot.

Sample Request for GET Call

curl -X GET \
 "https://{{host}}/api/public/bot/{{bot_id}}/dashboard/{{dashboardName}}/widget/{{widgetName}}?startDate={{startDate}}&endDate={{endDate}}" \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'

Sample Request for POST Call

curl --location --request POST 'https://{{host}}/api/public/bot/{{bot_id}}/dashboard/{{dashboardName}}/widget/{{widgetName}}?startDate={{startDate}}&endDate={{endDate}}' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{ "customFilters": [{
   "filterSource": "userType",
   "fieldName": "user",
   "values": [ "newuser" ]
}]
}'

Body Parameters

ParameterRequired/OptionalDescription
dashboardNameRequiredName of the Custom Dashboard containing the required widget.
widgetNameRequiredName of the widget whose data to retrieve.
limitOptionalNumber of records to fetch. Maximum is 50.
startDateRequiredStart date for the data range. Use ISO date format (for example, 2020-03-30).
endDateRequiredEnd date for the data range. Use ISO date format (for example, 2020-03-30).
customFilters (filterSource, fieldName, values)RequiredAdditional filters for custom dashboards. See Create Custom Dashboard Filters.

Sample Response for GET and POST Calls

{
    "_id": "wg-xxxx-xxx-xxx-xxx-xxxxx",
    "overlay": [],
    "name": "dasaDSA",
    "type": "table",
    "sqlQuery": {
        "dataSet": "Analytics",
        "select": "metricType",
        "startDate": "2019-08-31T18:30:00.000Z",
        "endDate": "2019-10-01T18:30:00.000Z",
        "botId": "st-xxxxx-xxx-xxx-xxx-xxxxx"
    },
    "dimensions": [
           {
            "fieldName": "metricType",
            "displayName": "metricType",
            "type": "string"
        }
    ],
    "metrics": [],
    "row": [],
    "properties": {},
    "queryResponse": {
        "metaData": {
            "metricType": "string"
        },
        "queryResponse": [
            {
                "metricType": "successintents"
            },
            {
                "metricType": "successtasks"
            },
            {
                "metricType": "successintents"
            },
            {
                "metricType": "successintents"
            },
            {
                "metricType": "successtasks"
            },
            {
                "metricType": "failedintents"
            }
        ]
    }
}